<template>
  <view class="container">
    <view class="tui-coupon-list" v-if="item!=null">
      <view class="tui-coupon-item tui-top20"  >
         <image src="https://bjyjb-1362704775.cos.ap-chongqing.myqcloud.com/shop/image/bg_coupon_3x.png" class="tui-coupon-bg" mode="widthFix"></image>
		<view class="tui-coupon-item-left">
          <view class="tui-coupon-price-box"  >
            <view class="tui-coupon-price-sign">￥</view>
            <view class="tui-coupon-price" :class="{ 'tui-price-small': false }">{{ item.price.toFixed(2) }}</view>
          </view>
          <view class="tui-coupon-intro">满{{ item.minPrice.toFixed(2) }}元可用</view>
        </view>
        <view class="tui-coupon-item-right">
          <view class="tui-coupon-content">
            <view class="tui-coupon-title-box">
              <view class="tui-coupon-title">{{ item.title }}</view>
            </view>
            <view class="tui-coupon-rule">
              <view class="tui-rule-box tui-padding-btm">
                <view class="tui-coupon-circle"></view>
                <view class="tui-coupon-text">不可叠加使用</view>
              </view>
              <view class="tui-rule-box">
                <view class="tui-coupon-circle"></view>
                <view class="tui-coupon-text">{{ item.limitTime }} 到期</view>
            
              </view>
            </view>
          </view>
        </view>
        <view class="tui-btn-box">
			<view class="btn receive" v-if="item.remainNumber>0" @click="receive()" >立即领取</view>
			<view class="btn cancel" v-else-if="item.remainNumber==0" >已领完</view>
        </view>
      </view>
    </view>
  </view>
</template>
<script>
import { getCouponById,genCode, receive } from '@/api/coupon'
export default {
  name: 'getCoupon',
 
  props: {},
  data: function() {
    return {
		couponId:null,
		item:null,
		isShare:null,
		code:null,
    }
  },
  onLoad(options) {
	this.couponId=options.couponId;
	this.code=options.code;
	if(!this.$isEmpty(options.isShare)){
		this.isShare=options.isShare
		this.genCode();
	}
	else{
		uni.hideShareMenu()
	}
	console.log(options.couponId)
	this.companyId=uni.getStorageSync('companyId');
	this.companyUserId=uni.getStorageSync('companyUserId');		 
	this.getCouponById();
  },
  //发送给朋友
  onShareAppMessage(res) {
  	//禁止二次转发--
  	uni.showShareMenu({
  		withShareTicket: true
  	});
  	wx.updateShareMenu({
  		isPrivateMessage: true,
  		withShareTicket: true,
  		success(res) {
  			console.log('updateShareMenu: ', res);
  		},
  		fail() {}
  	}); 
  	//禁止二次转发--end
  	return {
  		title: this.item.title,
  		path: "/pages_company/couponDetails?couponId="+this.item.couponId+"&companyId="+this.companyId+"&companyUserId="+this.companyUserId+"&code="+this.code,
  	}
  },
  mounted: function() {
  },
  onShow() {
  },
  methods: {
	genCode: function() {
		let that = this
		var data={couponId:this.couponId};
		genCode(data)
		  .then(function(res) {
			that.code=res.data;
			
		  })
		  .catch(function(err) {
			
		})
	},
	getCouponById: function() {
	  	let that = this
	  	var data={
			couponId:this.couponId
		}
	  	getCouponById(data)
	  	  .then(function(res) {
				that.item=res.data;
				
	  	  })
	  	  .catch(function(err) {
	  	    uni.showToast({
	  	      title: err.msg ,
	  	      icon: 'none',
	  	      duration: 2000,
	  	    })
	  	  })
	    
	},
    receive: function() {
		let that = this
		var data={
			couponId:this.item.couponId,
			companyId:this.companyId,
			companyUserId:this.companyUserId,
			code:this.code,
		}
		receive(data)
		  .then(function(res) {
			  if(res.code==200){
				  uni.showToast({
				    title: '领取成功',
				    icon: 'success',
				    duration: 2000,
				  })
			  }
			  else{
				  uni.showToast({
				    title: res.msg,
				    duration: 2000,
				  })
			  }
		    
				   
		  })
		  .catch(function(err) {
		    uni.showToast({
		      title: err.msg ,
		      icon: 'none',
		      duration: 2000,
		    })
		  })
      
    },
  },
}
</script>

<style lang="less" scoped>
page {
  background-color: #f5f5f5;
}

.container {
	height: 100%;
	display: flex;
	flex-direction: column;
}

.tui-coupon-list {
  width: 100%;
  padding: 0 25rpx;
  box-sizing: border-box;
}

.tui-coupon-banner {
  width: 100%;
}

.tui-coupon-item {
  width: 100%;
  height: 210rpx;
  position: relative;
  display: flex;
  align-items: center;
  padding-right: 30rpx;
  box-sizing: border-box;
  overflow: hidden;
 
}

.tui-coupon-bg {
  width: 100%;
  height: 210rpx;
  position: absolute;
  left: 0;
  top: 0;
  z-index: 1;
}

.tui-coupon-sign {
  height: 110rpx;
  width: 110rpx;
  position: absolute;
  z-index: 9;
  top: -30rpx;
  right: 40rpx;
}

.tui-coupon-item-left {
  width: 218rpx;
  height: 210rpx;
  position: relative;
  z-index: 2;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  flex-shrink: 0;
}

.tui-coupon-price-box {
  display: flex;
  color: #e41f19;
  align-items: flex-end;
}

.tui-coupon-price-sign {
  font-size: 30rpx;
}

.tui-coupon-price {
  font-size: 32rpx;
  line-height: 68rpx;
  font-weight: bold;
}

.tui-price-small {
  font-size: 58rpx !important;
  line-height: 56rpx !important;
}

.tui-coupon-intro {
  background: #f7f7f7;
  padding: 8rpx 10rpx;
  font-size: 26rpx;
  line-height: 26rpx;
  font-weight: 400;
  color: #666;
  margin-top: 18rpx;
}

.tui-coupon-item-right {
  flex: 1;
  height: 210rpx;
  position: relative;
  z-index: 2;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-left: 24rpx;
  box-sizing: border-box;
  overflow: hidden;
}

.tui-coupon-content {
  width: 82%;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.tui-coupon-title-box {
  display: flex;
  align-items: center;
}

.tui-coupon-btn {
  padding: 6rpx;
  background: #ffebeb;
  color: #2583EB;
  font-size: 25rpx;
  line-height: 25rpx;
  display: flex;
  align-items: center;
  justify-content: center;
  transform: scale(0.9);
  transform-origin: 0 center;
  border-radius: 4rpx;
  flex-shrink: 0;
}

.tui-color-grey {
  color: #888 !important;
}

.tui-bg-grey {
  background: #f0f0f0 !important;
  color: #888 !important;
}

.tui-coupon-title {
  width: 100%;
  font-size: 26rpx;
  color: #333;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.tui-coupon-rule {
  padding-top: 52rpx;
}

.tui-rule-box {
  display: flex;
  align-items: center;
  transform: scale(0.8);
  transform-origin: 0 100%;
}

.tui-padding-btm {
  padding-bottom: 6rpx;
}

.tui-coupon-circle {
  width: 8rpx;
  height: 8rpx;
  background: rgb(160, 160, 160);
  border-radius: 50%;
}

.tui-coupon-text {
  font-size: 28rpx;
  line-height: 28rpx;
  font-weight: 400;
  color: #666;
  padding-left: 8rpx;
  white-space: nowrap;
}

.tui-top20 {
  margin-top: 20rpx;
}

.tui-coupon-title {
  font-size: 28rpx;
  line-height: 28rpx;
}

.tui-coupon-radio {
  transform: scale(0.7);
  transform-origin: 100% center;
}

.tui-btn-box {
  position: absolute;
  right: 20rpx;
  bottom: 40rpx;
  z-index: 10;
  .btn{
  	width: 155upx;
  	height: 64upx;
  	line-height: 64upx;
  	font-size: 26upx;
  	font-family: PingFang SC;
  	font-weight: 500;
  	text-align: center;
  	border-radius: 32upx;
  	margin-left: 15upx;

  	&.cancel{
  		border: 1px solid #2583EB;
  		color: #2583EB;
  	}
  	&.receive{
  		background: #2583EB;
  		color: #FFFFFF;
  	}
  }
}
 
</style>
